<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "结算管理">
<query id = "SlmBalanceInfoDao.rollBackBillM" desc = "回退结算单">
DECLARE
BEGIN
  FOR MYROW IN (SELECT T.ASKPLAN_ID
                  FROM SLM_BALANCEINFO T
                 WHERE T.INVOICENO = ?) LOOP
    UPDATE YDM_ZC_BILL_M T1
       SET T1.WIND_UP_FLAG = '0'
     WHERE T1.BILL_NO = MYROW.ASKPLAN_ID;
  END LOOP;
END;

</query>
</queryMap>